package com.zanxiang.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author : lingfeng
 * @time : 2022-11-29
 * @description : 支付盒子类型
 */
@Getter
@AllArgsConstructor
public enum PayBoxTypeEnum {

    /**
     * 微信小程序
     */
    PAY_BOX_WX_APPLET(1, "微信小程序"),

    /**
     * 微信公众号
     */
    PAY_BOX_WX_MP(2, "微信公众号"),

    /**
     * 支付宝应用
     */
    PAY_BOX_ALI_APP(3, "支付宝应用");

    /**
     * 账号类型
     */
    private Integer type;

    /**
     * 账号类型名称
     */
    private String name;

    /**
     * 被类型名称
     *
     * @param type 类型
     * @return {@link String}
     */
    public static String getNameByType(Integer type) {
        PayBoxTypeEnum[] values = PayBoxTypeEnum.values();
        for (PayBoxTypeEnum payBoxTypeEnum : values) {
            if (Objects.equals(payBoxTypeEnum.getType(), type)) {
                return payBoxTypeEnum.getName();
            }
        }
        return null;
    }
}
