package com.zanxiang.manage.controller;

import com.zanxiang.common.domain.ResultVO;
import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.manage.domain.params.PayApplicationListNoPageParam;
import com.zanxiang.manage.domain.vo.PayApplicationVO;
import com.zanxiang.manage.service.PayApplicationService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 游戏应用
 *
 * @author xufeng
 * @date 2022-06-20 15:16
 */
@Api(tags = "应用管理")
@RestController
@RequestMapping("/pay-application")
public class PayApplicationController {

    @Autowired
    private PayApplicationService payApplicationService;


    @ApiOperation(value = "列表(无分页)")
    @PostMapping(value = "/listNoPage")
    @PreAuthorize(permissionKey = "sdk:payApplication:listNoPage")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = PayApplicationVO.class, responseContainer = "list")})
    public ResultVO<List<PayApplicationVO>> listNoPage(@Validated @RequestBody PayApplicationListNoPageParam param) {
        return ResultVO.ok(payApplicationService.listNoPage(param));
    }
}
