package com.zanxiang.manage.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author xufeng
 * @date 2022/6/16 19:14
 */
@Data
@NoArgsConstructor
public class PayBoxParam {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键, 不传是新建, 传是更新")
    private Long id;

    /**
     * 名称
     */
    @ApiModelProperty(notes = "名称")
    private String name;

    /**
     * 支付名称
     */
    @ApiModelProperty(notes = "支付名称")
    private String payName;

    /**
     * 应用id
     */
    @ApiModelProperty(notes = "应用id")
    private Integer payApplicationId;

    /**
     * 商户号id（多个逗号分割,id,）
     */
    @ApiModelProperty(notes = "商户号id（多个逗号分割,id,）")
    private String payMerchantId;

    /**
     * 盒子类型 1、金币 2、红包
     */
    @ApiModelProperty(notes = "盒子类型 1、金币 2、红包")
    private Integer type;

    /**
     * 描述
     */
    @ApiModelProperty(notes = "描述")
    private String remark;
}
