package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.dto.GameCategoryDTO;
import com.zanxiang.manage.domain.vo.GameCategoryChoiceVO;
import com.zanxiang.mybatis.entity.GameCategory;

import java.util.List;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2022-06-23
 * @description : 游戏分类标签管理
 */
public interface GameCategoryService extends IService<GameCategory> {

    /**
     * 根据主键id查询
     *
     * @param id : 主键id
     * @return : 返回游戏分类信息
     */
    GameCategoryDTO getById(Long id);

    /**
     * 查询所有应用类型列表
     *
     * @return : 返回所有应用类型
     */
    List<GameCategoryChoiceVO> gameCategoryChoiceList();

    /**
     * 查询游戏分类和标签
     *
     * @return : 返回所有游戏分类和标签
     */
    Map<Long, GameCategoryDTO> gameCategoryMap();
}
